> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fssportal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Lead Source

> Update an existing lead source

## Endpoint

```
POST /api/v1/lead_source/update
```

<Note>This endpoint requires authentication</Note>

## Headers

<ParamField header="X-API-Token" type="string" required>
  Your API access token. You can also set this globally in the API playground.
</ParamField>

<ParamField header="platform" type="string" required>
  The platform making the request: `WEB`, `IOS`, or `ANDROID`.
</ParamField>

## Request Body

<ParamField body="lead_source_id" type="integer" required>
  The unique identifier of the lead source to update.
</ParamField>

<ParamField body="company_name" type="string">
  company name
</ParamField>

<ParamField body="name" type="string" required>
  name
</ParamField>

<ParamField body="surname" type="string" required>
  surname
</ParamField>

<ParamField body="email" type="string" required>
  email
</ParamField>

<ParamField body="phone_no" type="string">
  phone no
</ParamField>

<ParamField body="address" type="string">
  address
</ParamField>

<ParamField body="city" type="string">
  city
</ParamField>

<ParamField body="state" type="string">
  state
</ParamField>

<ParamField body="zip_code" type="string">
  zip code
</ParamField>

## Response

<ResponseField name="message" type="string">
  message
</ResponseField>

<ResponseField name="data" type="object">
  data

  <Expandable title="data">
    <ResponseField name="id" type="integer">
      id
    </ResponseField>

    <ResponseField name="user_id" type="integer">
      user id
    </ResponseField>

    <ResponseField name="company_name" type="string">
      company name
    </ResponseField>

    <ResponseField name="name" type="string">
      name
    </ResponseField>

    <ResponseField name="surname" type="string">
      surname
    </ResponseField>

    <ResponseField name="email" type="string">
      email
    </ResponseField>

    <ResponseField name="phone_no" type="string">
      phone no
    </ResponseField>

    <ResponseField name="address" type="string">
      address
    </ResponseField>

    <ResponseField name="city" type="string">
      city
    </ResponseField>

    <ResponseField name="state" type="string">
      state
    </ResponseField>

    <ResponseField name="zip_code" type="string">
      zip code
    </ResponseField>

    <ResponseField name="billing_address" type="string">
      billing address
    </ResponseField>

    <ResponseField name="billing_city" type="string">
      billing city
    </ResponseField>

    <ResponseField name="billing_state" type="string">
      billing state
    </ResponseField>

    <ResponseField name="billing_zip_code" type="string">
      billing zip code
    </ResponseField>

    <ResponseField name="created_at" type="string">
      created at
    </ResponseField>

    <ResponseField name="updated_at" type="string">
      updated at
    </ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location 'http://fssportal.com/api/v1/lead_source/update' \
  --header 'X-API-Token: YOUR_API_TOKEN' \
  --header 'Content-Type: application/json' \
  --data-raw '{
    "lead_source_id": 68,
    "company_name": "Test Company",
    "name": "John",
    "surname": "Doe",
    "email": "john.doe2@example.com",
    "phone_no": "9876543210",
    "address": "123 Main Street",
    "city": "Rajkot",
    "state": "Gujarat",
    "zip_code": "360006"
  }'
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch('http://fssportal.com/api/v1/lead_source/update', {
    method: 'POST',
    headers: {
      'X-API-Token': 'YOUR_API_TOKEN',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
    "lead_source_id": 68,
    "company_name": "Test Company",
    "name": "John",
    "surname": "Doe",
    "email": "john.doe2@example.com",
    "phone_no": "9876543210",
    "address": "123 Main Street",
    "city": "Rajkot",
    "state": "Gujarat",
    "zip_code": "360006"
  })
  });

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "message": "Lead Source updated successfully.",
    "data": {
      "id": 68,
      "user_id": 68,
      "company_name": "Test Company",
      "name": "John",
      "surname": "Doe",
      "email": "john.doe2@example.com",
      "phone_no": "9876543210",
      "address": "123 Main Street",
      "city": "Rajkot",
      "state": "Gujarat",
      "zip_code": "360006",
      "billing_address": "123 Main Street",
      "billing_city": "Rajkot",
      "billing_state": "Gujarat",
      "billing_zip_code": "360006",
      "created_at": "2025-05-23T15:52:50.000000Z",
      "updated_at": "2026-05-14T11:36:31.000000Z"
    }
  }
  ```
</ResponseExample>

## Notes

* Authentication is required
